<?php

require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'admin/view-models/class-page-add-user-view-model.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'admin/actions/class-page-add-user-action.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/class-servicetrade-controller.php';

/**
 * Handles the add user in the admin
 *
 * A page controller class.
 *
 * @link       http://www.servicetrade.com
 * @since      2.0.0
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/admin/controllers
 * @author     ServiceTrade <support@servicetrade.com>
 */
class Servicetrade_Service_Portal_Admin_Page_Add_User_Controller extends Servicetrade_Controller {

  function render() {
    if (!empty($_POST) ){
      //  if ( wp_verify_nonce( $_POST['_wpnonce'], 'cau_submit_settings_network' ) ) {

      $action = new Servicetrade_Service_Portal_Admin_Page_Add_User_Action();
      $viewModel = $action->run($_POST);

      // }
    } else {
      $viewModel = new Servicetrade_Service_Portal_Admin_Page_Add_User_ViewModel();
      $viewModel->load();
    }
    include SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR .  'admin/partials/plugin-servicetrade-portal-display-add-user.php';
  } 
}
