<?php

require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/class-servicetrade-action.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/class-servicetrade-user-meta.php';

/**
 * Deacticates a user.
 *
 * An action class.
 *
 * @link       http://www.servicetrade.com
 * @since      2.0.0
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/public/rest/actions
 * @author     ServiceTrade <support@servicetrade.com>
 */
class Servicetrade_Service_Portal_Admin_Actions_Rest_Users_User_Id_Deactivate_Post_Action extends Servicetrade_Action {
  private $user_id;
  
  public function __construct($user_id) {
    $this->user_id = $user_id;

  }

  function run() {
    Servicetrade_User_Meta::set_status($this->user_id , 
    "deactivated");

    return new WP_REST_Response( array(), 200 );
  } 
}
