<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       http://www.servicetrade.com
 * @since      1.0.0
 *
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/public/partials
 */


 include plugin_dir_path(__FILE__) . '../components/page-header.php';

 ?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="servicetrade-container servicetrade-shortcode-servicetrade">
  <script>
      window.servicetradePortalConfig = {
	       apiRoot: '<?php echo esc_url_raw( rest_url() . "servicetrade-service-portal/v2/public/" ) ?>',
	       nonce: '<?php echo wp_create_nonce( "wp_rest" ) ?>',
	       logoutUrl: "<?php echo wp_logout_url( home_url() ) ?>"		
      };

   </script>
  <div id="servicetrade-portal-public-react"></div>
</div>
